# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

from tw.api import JSLink
from tw.jquery import jquery_js
from tw.jquery.ui_core import jquery_ui_core_js as ui_core_js

modname = __name__

##
## jQuery UI
##

jquery_ui_all_js = JSLink(filename='static/javascript/ui/jquery.ui.all.js', modname=modname)

ui_accordion_js = JSLink(filename='static/javascript/ui/ui.accordion.js', javascript=[ui_core_js], modname=modname)
ui_datepicker_js = JSLink(filename='static/javascript/ui/ui.datepicker.js', javascript=[ui_core_js], modname=modname)
ui_dialog_js = JSLink(filename='static/javascript/ui/ui.dialog.js', javascript=[ui_core_js], modname=modname)
ui_draggable_js = JSLink(filename='static/javascript/ui/ui.draggable.js', javascript=[ui_core_js], modname=modname)
ui_droppable_js = JSLink(filename='static/javascript/ui/ui.droppable.js', javascript=[ui_core_js], modname=modname)
ui_resizable_js = JSLink(filename='static/javascript/ui/ui.resizable.js', javascript=[ui_core_js], modname=modname)
ui_selectable_js = JSLink(filename='static/javascript/ui/ui.selectable.js', javascript=[ui_core_js], modname=modname)
ui_slider_js = JSLink(filename='static/javascript/ui/ui.slider.js', javascript=[ui_core_js], modname=modname)
ui_sortable_js = JSLink(filename='static/javascript/ui/ui.sortable.js', javascript=[ui_core_js], modname=modname)
ui_tabs_js = JSLink(filename='static/javascript/ui/ui.tabs.js', javascript=[ui_core_js], modname=modname)
ui_progressbar_js = JSLink(filename='static/javascript/ui/ui.progressbar.js', javascript=[ui_core_js], modname=modname)

##
## Effects
##

effects_core_js = JSLink(filename='static/javascript/ui/effects.core.js', javascript=[ui_core_js], modname=modname)
effects_blind_js = JSLink(filename='static/javascript/ui/effects.blind.js', javascript=[effects_core_js], modname=modname)
effects_bounce_js = JSLink(filename='static/javascript/ui/effects.bounce.js', javascript=[effects_core_js], modname=modname)
effects_clip_js = JSLink(filename='static/javascript/ui/effects.clip.js', javascript=[effects_core_js], modname=modname)
effects_drop_js = JSLink(filename='static/javascript/ui/effects.drop.js', javascript=[effects_core_js], modname=modname)
effects_explode_js = JSLink(filename='static/javascript/ui/effects.explode.js', javascript=[effects_core_js], modname=modname)
effects_fold_js = JSLink(filename='static/javascript/ui/effects.fold.js', javascript=[effects_core_js], modname=modname)
effects_highlight_js = JSLink(filename='static/javascript/ui/effects.highlight.js', javascript=[effects_core_js], modname=modname)
effects_pulsate_js = JSLink(filename='static/javascript/ui/effects.pulsate.js', javascript=[effects_core_js], modname=modname)
effects_scale_js = JSLink(filename='static/javascript/ui/effects.scale.js', javascript=[effects_core_js], modname=modname)
effects_shake_js = JSLink(filename='static/javascript/ui/effects.shake.js', javascript=[effects_core_js], modname=modname)
effects_slide_js = JSLink(filename='static/javascript/ui/effects.slide.js', javascript=[effects_core_js], modname=modname)
effects_transfer_js = JSLink(filename='static/javascript/ui/effects.transfer.js', javascript=[effects_core_js], modname=modname)

##
## i18n
##

jquery_ui_i18n_js = JSLink(filename='static/javascript/ui/i18n/jquery-ui-i18n.js', modname=modname)
jquery_ui_i18n_all_js = JSLink(filename='static/javascript/ui/i18n/jquery.ui.i18n.all.js', modname=modname)

ui_datepicker_ar_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-ar.js', modname=modname)
ui_datepicker_bg_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-bg.js', modname=modname)
ui_datepicker_ca_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-ca.js', modname=modname)
ui_datepicker_cs_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-cs.js', modname=modname)
ui_datepicker_da_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-da.js', modname=modname)
ui_datepicker_de_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-de.js', modname=modname)
ui_datepicker_es_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-es.js', modname=modname)
ui_datepicker_fi_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-fi.js', modname=modname)
ui_datepicker_fr_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-fr.js', modname=modname)
ui_datepicker_he_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-he.js', modname=modname)
ui_datepicker_hu_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-hu.js', modname=modname)
ui_datepicker_hy_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-hy.js', modname=modname)
ui_datepicker_id_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-id.js', modname=modname)
ui_datepicker_is_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-is.js', modname=modname)
ui_datepicker_it_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-it.js', modname=modname)
ui_datepicker_ja_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-ja.js', modname=modname)
ui_datepicker_ko_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-ko.js', modname=modname)
ui_datepicker_lt_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-lt.js', modname=modname)
ui_datepicker_lv_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-lv.js', modname=modname)
ui_datepicker_nl_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-nl.js', modname=modname)
ui_datepicker_no_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-no.js', modname=modname)
ui_datepicker_pl_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-pl.js', modname=modname)
ui_datepicker_pt_BR_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-pt-BR.js', modname=modname)
ui_datepicker_ro_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-ro.js', modname=modname)
ui_datepicker_ru_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-ru.js', modname=modname)
ui_datepicker_sk_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-sk.js', modname=modname)
ui_datepicker_sv_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-sv.js', modname=modname)
ui_datepicker_th_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-th.js', modname=modname)
ui_datepicker_tr_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-tr.js', modname=modname)
ui_datepicker_uk_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-uk.js', modname=modname)
ui_datepicker_zh_CN_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-zh-CN.js', modname=modname)
ui_datepicker_zh_TW_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-zh-TW.js', modname=modname)
ui_datepicker_el_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-el.js', modname=modname)
ui_datepicker_sk_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-sk.js', modname=modname)
ui_datepicker_eo_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-eo.js', modname=modname)
ui_datepicker_hr_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-hr.js', modname=modname)
ui_datepicker_ms_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-ms.js', modname=modname)
ui_datepicker_sl_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-sl.js', modname=modname)
ui_datepicker_sq_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-sq.js', modname=modname)
ui_datepicker_sr_SR_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-sr_SR.js', modname=modname)
ui_datepicker_sr_js = JSLink(filename='static/javascript/ui/i18n/ui.datepicker-sr.js', modname=modname)


##
## Minified
##
jquery_ui_all_min_js = JSLink(filename='static/javascript/ui/minified/jquery.ui.all.min.js', javascript=[jquery_js], modname=modname)
ui_core_min_js = JSLink(filename='static/javascript/ui/minified/ui.core.min.js', modname=modname)
ui_progressbar_min_js = JSLink(filename='static/javascript/ui/minified/ui.progressbar.min.js', javascript=[ui_core_min_js], modname=modname)

effects_core_min_js = JSLink(filename='static/javascript/ui/minified/effects.core.min.js', modname=modname)
effects_blind_min_js = JSLink(filename='static/javascript/ui/minified/effects.blind.min.js', javascript=[effects_core_min_js], modname=modname)
effects_bounce_min_js = JSLink(filename='static/javascript/ui/minified/effects.bounce.min.js', javascript=[effects_core_min_js], modname=modname)
effects_clip_min_js = JSLink(filename='static/javascript/ui/minified/effects.clip.min.js', javascript=[effects_core_min_js], modname=modname)
effects_drop_min_js = JSLink(filename='static/javascript/ui/minified/effects.drop.min.js', javascript=[effects_core_min_js], modname=modname)
effects_explode_min_js = JSLink(filename='static/javascript/ui/minified/effects.explode.min.js', javascript=[effects_core_min_js], modname=modname)
effects_fold_min_js = JSLink(filename='static/javascript/ui/minified/effects.fold.min.js', javascript=[effects_core_min_js], modname=modname)
effects_highlight_min_js = JSLink(filename='static/javascript/ui/minified/effects.highlight.min.js', javascript=[effects_core_min_js], modname=modname)
effects_pulsate_min_js = JSLink(filename='static/javascript/ui/minified/effects.pulsate.min.js', javascript=[effects_core_min_js], modname=modname)
effects_scale_min_js = JSLink(filename='static/javascript/ui/minified/effects.scale.min.js', javascript=[effects_core_min_js], modname=modname)
effects_shake_min_js = JSLink(filename='static/javascript/ui/minified/effects.shake.min.js', javascript=[effects_core_min_js], modname=modname)
effects_slide_min_js = JSLink(filename='static/javascript/ui/minified/effects.slide.min.js', javascript=[effects_core_min_js], modname=modname)
effects_transfer_min_js = JSLink(filename='static/javascript/ui/minified/effects.transfer.min.js', javascript=[effects_core_min_js], modname=modname)
ui_accordion_min_js = JSLink(filename='static/javascript/ui/minified/ui.accordion.min.js', javascript=[ui_core_js], modname=modname)
ui_datepicker_min_js = JSLink(filename='static/javascript/ui/minified/ui.datepicker.min.js', javascript=[ui_core_js], modname=modname)
ui_dialog_min_js = JSLink(filename='static/javascript/ui/minified/ui.dialog.min.js', javascript=[ui_core_js], modname=modname)
ui_draggable_min_js = JSLink(filename='static/javascript/ui/minified/ui.draggable.min.js', javascript=[ui_core_js], modname=modname)
ui_droppable_min_js = JSLink(filename='static/javascript/ui/minified/ui.droppable.min.js', javascript=[ui_core_js], modname=modname)
ui_resizable_min_js = JSLink(filename='static/javascript/ui/minified/ui.resizable.min.js', javascript=[ui_core_js], modname=modname)
ui_selectable_min_js = JSLink(filename='static/javascript/ui/minified/ui.selectable.min.js', javascript=[ui_core_js], modname=modname)
ui_slider_min_js = JSLink(filename='static/javascript/ui/minified/ui.slider.min.js', javascript=[ui_core_js], modname=modname)
ui_sortable_min_js = JSLink(filename='static/javascript/ui/minified/ui.sortable.min.js', javascript=[ui_core_js], modname=modname)
ui_tabs_min_js = JSLink(filename='static/javascript/ui/minified/ui.tabs.min.js', javascript=[ui_core_js], modname=modname)

##
## Packed
##

effects_blind_packed_js = JSLink(filename='static/javascript/ui/packed/effects.blind.packed.js', javascript=[effects_core_js], modname=modname)
effects_bounce_packed_js = JSLink(filename='static/javascript/ui/packed/effects.bounce.packed.js', javascript=[effects_core_js], modname=modname)
effects_clip_packed_js = JSLink(filename='static/javascript/ui/packed/effects.clip.packed.js', javascript=[effects_core_js], modname=modname)
effects_drop_packed_js = JSLink(filename='static/javascript/ui/packed/effects.drop.packed.js', javascript=[effects_core_js], modname=modname)
effects_explode_packed_js = JSLink(filename='static/javascript/ui/packed/effects.explode.packed.js', javascript=[effects_core_js], modname=modname)
effects_fold_packed_js = JSLink(filename='static/javascript/ui/packed/effects.fold.packed.js', javascript=[effects_core_js], modname=modname)
effects_highlight_packed_js = JSLink(filename='static/javascript/ui/packed/effects.highlight.packed.js', javascript=[effects_core_js], modname=modname)
effects_pulsate_packed_js = JSLink(filename='static/javascript/ui/packed/effects.pulsate.packed.js', javascript=[effects_core_js], modname=modname)
effects_scale_packed_js = JSLink(filename='static/javascript/ui/packed/effects.scale.packed.js', javascript=[effects_core_js], modname=modname)
effects_shake_packed_js = JSLink(filename='static/javascript/ui/packed/effects.shake.packed.js', javascript=[effects_core_js], modname=modname)
effects_slide_packed_js = JSLink(filename='static/javascript/ui/packed/effects.slide.packed.js', javascript=[effects_core_js], modname=modname)
effects_transfer_packed_js = JSLink(filename='static/javascript/ui/packed/effects.transfer.packed.js', javascript=[effects_core_js], modname=modname)
ui_accordion_packed_js = JSLink(filename='static/javascript/ui/packed/ui.accordion.packed.js', javascript=[ui_core_js], modname=modname)
ui_datepicker_packed_js = JSLink(filename='static/javascript/ui/packed/ui.datepicker.packed.js', javascript=[ui_core_js], modname=modname)
ui_dialog_packed_js = JSLink(filename='static/javascript/ui/packed/ui.dialog.packed.js', javascript=[ui_core_js], modname=modname)
ui_draggable_packed_js = JSLink(filename='static/javascript/ui/packed/ui.draggable.packed.js', javascript=[ui_core_js], modname=modname)
ui_droppable_packed_js = JSLink(filename='static/javascript/ui/packed/ui.droppable.packed.js', javascript=[ui_core_js], modname=modname)
ui_resizable_packed_js = JSLink(filename='static/javascript/ui/packed/ui.resizable.packed.js', javascript=[ui_core_js], modname=modname)
ui_selectable_packed_js = JSLink(filename='static/javascript/ui/packed/ui.selectable.packed.js', javascript=[ui_core_js], modname=modname)
ui_slider_packed_js = JSLink(filename='static/javascript/ui/packed/ui.slider.packed.js', javascript=[ui_core_js], modname=modname)
ui_sortable_packed_js = JSLink(filename='static/javascript/ui/packed/ui.sortable.packed.js', javascript=[ui_core_js], modname=modname)
ui_tabs_packed_js = JSLink(filename='static/javascript/ui/packed/ui.tabs.packed.js', javascript=[ui_core_js], modname=modname)
